Subject: Re: bug#76980: [PATCH] 'window-state-normalize-buffer-name' variable for `uniquify' buffers

From: Robert Pluim <[email-masked]>
Date: Fri, 14 Mar 2025 17:12:00 +0100

>>>>> On Fri, 14 Mar 2025 10:54:05 -0400, Ship Mints <[email-masked]> said:

    Ship> On Fri, Mar 14, 2025 at 10:45 AM Robert Pluim <[email-masked]> wrote:
    >> >>>>> On Fri, 14 Mar 2025 10:26:28 -0400, Ship Mints <[email-masked]>
    >> said:
    Ship> ++++
    Ship> +*** New variable 'window-state-normalize-buffer-name'.
    Ship> +When bound to non-nil, 'window-state-get' will normalize buffer
    >> names by
    Ship> +removing 'uniquify' adornments, otherwise using nominal buffer
    >> names.
    Ship> +This helps restore window buffers across Emacs sessions.
    Ship> +
    >> 
    >> This sounds like it could be useful as a user option rather than a
    >> `defvar', no? Or perhaps a buffer-local variable?
    >> 

    Ship> To me, this is a programmatic concern and only the program understands the
    Ship> context in which it is called.  In a sense, this is buffer-local equivalent
    Ship> as uniquify-managed is itself buffer-local.  If this is made global, I
    Ship> sense there may be window-state-get uses that depend on uniquify names but
    Ship> since I can't survey the field, I think this would be dangerous.  We can
    Ship> always promote this to a user option later.

Fair enough. We can revisit later.

Robert
--